Skip to main content
PUT
/
accounts
/
{acc_id}
/
verification_sessions
/
{avf_id}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "plaid": {
      "balances" : {
        "available" : 100,
        "current" : 110,
        "iso_currency_code" : "USD",
        "limit" : null,
        "unofficial_currency_code" : null
      },
      "transactions": [
        ...
      ]
  }'
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .verificationSessions
  .update('avf_DjkdemgTQfqRD', {
    plaid: {
      balances: {
        available: 100,
        current: 110,
        iso_currency_code: 'USD',
        limit: null,
        unofficial_currency_code: null
      },
      transactions: [
        ...
      ]
    }
  });
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .verification_sessions
  .update('avf_DjkdemgTQfqRD', {
    'plaid': {
      'balances': {
        'available': 100,
        'current': 110,
        'iso_currency_code': 'USD',
        'limit': None,
        'unofficial_currency_code': None
      },
      'transactions': [
        ...
      ]
    }
  })
{
  "id": "avf_DjkdemgTQfqRD",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "verified",
  "error": null,
  "type": "plaid",
  "plaid": {
    "balances": {
      "available": 100,
      "current": 110,
      "iso_currency_code": "USD",
      "limit": null,
      "unofficial_currency_code": null,
    },
    "transactions": [ ... ]
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
Updates an existing AccountVerificationSession object of type plaid.

Path Parameters

Body

Returns

Returns an AccountVerificationSession object.
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "plaid": {
      "balances" : {
        "available" : 100,
        "current" : 110,
        "iso_currency_code" : "USD",
        "limit" : null,
        "unofficial_currency_code" : null
      },
      "transactions": [
        ...
      ]
  }'
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .verificationSessions
  .update('avf_DjkdemgTQfqRD', {
    plaid: {
      balances: {
        available: 100,
        current: 110,
        iso_currency_code: 'USD',
        limit: null,
        unofficial_currency_code: null
      },
      transactions: [
        ...
      ]
    }
  });
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .verification_sessions
  .update('avf_DjkdemgTQfqRD', {
    'plaid': {
      'balances': {
        'available': 100,
        'current': 110,
        'iso_currency_code': 'USD',
        'limit': None,
        'unofficial_currency_code': None
      },
      'transactions': [
        ...
      ]
    }
  })
{
  "id": "avf_DjkdemgTQfqRD",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "verified",
  "error": null,
  "type": "plaid",
  "plaid": {
    "balances": {
      "available": 100,
      "current": 110,
      "iso_currency_code": "USD",
      "limit": null,
      "unofficial_currency_code": null,
    },
    "transactions": [ ... ]
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}